%define upstream_name	 MP3-Tag
%define upstream_version 1.14

%global __requires_exclude perl\\((Normalize::Text::Normalize_Fields|Music_Normalize_Fields)\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Module for reading tags of MP3 audio files 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MP3/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

Requires:   perl(Compress::Zlib)
%description
Tag is a wrapper module to read different tags of mp3 files. It provides an
easy way to access the functions of separate modules which do the handling
of reading/writing the tags itself.

At the moment MP3::Tag::ID3v1 and MP3::Tag::ID3v2 are supported for read and
write; MP3::Tag::Inf, MP3::Tag::CDDB_File, MP3::Tag::File,
MP3::Tag::LastResort are supported for read access (the information obtained
by parsing CDDB files, .inf file and the filename).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# requires CDDB connection
rm -f t/mp3tag.t
chmod -R u+w examples
chmod 755 examples/*.pl examples/mp3info2 examples/typeset_audio_dir

%build
# -n is here to avoid installation of scripts (they come in examples/ anyway)
%__perl Makefile.PL INSTALLDIRS=vendor -n
%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml TODO examples
%{perl_vendorlib}/MP3
%{perl_vendorlib}/Encode
%{perl_vendorlib}/Normalize
%{_mandir}/*/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.140.0-4.mga8
+ Revision: 1505058
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.140.0-3.mga7
+ Revision: 1284660
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.140.0-2.mga7
+ Revision: 1165815
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 sander85 <sander85> 1.140.0-1.mga7
+ Revision: 1157645
- update to 1.14
- update to 1.14

* Sun Jun 19 2016 pterjan <pterjan> 1.130.0-8.mga6
+ Revision: 1030810
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.130.0-7.mga6
+ Revision: 949881
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.130.0-6.mga5
+ Revision: 790539
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.130.0-5.mga5
+ Revision: 748997
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.130.0-4.mga5
+ Revision: 685306
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Sun Jan 13 2013 umeabot <umeabot> 1.130.0-2.mga3
+ Revision: 369376
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 1.130.0-1.mga1
+ Revision: 33934
- mageia rebuild
- imported package perl-MP3-Tag

